<?xml version="1.0" encoding="utf-8"?>
<configuration>
	<configSections>
		<section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net" />
	</configSections>
	<log4net>
		<appender name="InfoRollingFileAppender" type="log4net.Appender.RollingFileAppender">
			<file value=".\config\debug.log" />
			<appendToFile value="true" />
			<rollingStyle value="Size" />
			<maxSizeRollBackups value="10" />
			<maximumFileSize value="10MB" />
			<staticLogFileName value="true" />
			<layout type="log4net.Layout.PatternLayout">
				<conversionPattern value="%date{dd/MM/yyyy HH:mm:ss,fff} - %level: [%logger]%newlineMethod - %method%newlineLine number - %line%newlineMessage - %message%newline%exception%newline%newline"/>
			</layout>
			<filter type="log4net.Filter.LevelRangeFilter">
				<levelMin value="DEBUG" />
				<levelMax value="DEBUG" />
			</filter>
			<filter class="log4net.Filter.DenyAllFilter"/>
		</appender>
		<appender name="ErrorRollingFileAppender" type="log4net.Appender.RollingFileAppender">
			<file value=".\config\error.log" />
			<appendToFile value="true" />
			<rollingStyle value="Size" />
			<maxSizeRollBackups value="10" />
			<maximumFileSize value="10MB" />
			<staticLogFileName value="true" />
			<layout type="log4net.Layout.PatternLayout">
				<!--<conversionPattern value="%date [%thread] %level %logger - %message%newline%exception" />-->
				<conversionPattern value="%date{dd/MM/yyyy HH:mm:ss,fff} - %level: [%logger]%newlineMethod - %method%newlineLine number - %line%newlineMessage - %message%newline%exception%newline%newline"/>
			</layout>
			<filter type="log4net.Filter.LevelRangeFilter">
				<levelMin value="WARN" />
				<levelMax value="ERROR" />
			</filter>
		</appender>
		<root>
			<level value="DEBUG" />
			<appender-ref ref="ErrorRollingFileAppender" />
			<appender-ref ref="InfoRollingFileAppender" />
		</root>
	</log4net>
</configuration>
